Subject: XLlTemac port forwarding probelm?

From: khollan <[email-masked]>
Date: Mon, 2 Jun 2008 14:37:26 -0700 (PDT)

Hi everyone,

I'm using my custom Xilinx board as a gateway for a networked webcam.  The
board is based on the ml410.  Basically eth1 is connected to the outside
world and eth0 is connected to the webcam.  I'm port forwarding port 80 with
iptables.  I can connect to the webcams web server by going to the IP
address of the Xilinx board just fine, but here comes my problem...

After the first initial load, which is relatively fast, all subsequent
refreshes become ungodly slow.  If I ifconfig down eth1 and bring it back up
the next refresh is fast again.  

I'm using Xilinx's Local Link Mac with the Fifo interface instead of DMA. 
Any ideas of whats going on?

Thanks

Kevin
-- 
View this message in context: http://www.nabble.com/XLlTemac-port-forwarding-probelm--tp17611404p17611404.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.